<?xml version="1.0"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd http://www.w3.org/1999/xlink http://www.xbrl.org/2003/xlink-2003-12-31.xsd">
  <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel" />
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_totalLabel_labelfr" xml:lang="fr">Capacité d'autofinancement avant coût de l'endettement financier net &amp; impôt</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_totalLabel_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="FinanceIncomeCost" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="FinanceIncomeCost_totalLabel_labelfr" xml:lang="fr">Produits financiers (charges financières)</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinanceIncomeCost" xlink:to="FinanceIncomeCost_totalLabel_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ProfitLossAttributableToOwnersOfParent" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="ProfitLossAttributableToOwnersOfParent_totalLabel_labelfr" xml:lang="fr">RÉSULTAT NET PART DU GROUPE</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossAttributableToOwnersOfParent" xlink:to="ProfitLossAttributableToOwnersOfParent_totalLabel_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:label="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodEndLabel_labelfr" xml:lang="fr">Trésorerie et équivalents de trésorerie si différents de l’état de la situation financière fermeture</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodEndLabel_labelfr" xlink:type="arc" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:label="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodStartLabel_labelfr" xml:lang="fr">Trésorerie et équivalents de trésorerie si différents de l’état de la situation financière ouverture</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodStartLabel_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="AcquisitionOfAssetsForLeasing" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_AcquisitionOfAssetsForLeasing" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="AcquisitionOfAssetsForLeasing_label_labelfr" xml:lang="fr">Acquisition d'actifs destines à la location</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfAssetsForLeasing" xlink:to="AcquisitionOfAssetsForLeasing_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="PurchaseOfPropertyPlantAndEquipmentOtherThanAssetsIntendedForLeasingIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_PurchaseOfPropertyPlantAndEquipmentOtherThanAssetsIntendedForLeasingIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="PurchaseOfPropertyPlantAndEquipmentOtherThanAssetsIntendedForLeasingIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_label_labelfr" xml:lang="fr">Acquisition d'immobilisations incorporelles &amp; corporelles</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfPropertyPlantAndEquipmentOtherThanAssetsIntendedForLeasingIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:to="PurchaseOfPropertyPlantAndEquipmentOtherThanAssetsIntendedForLeasingIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="AjustementsForInterestExcludingIFRS16" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_AjustementsForInterestExcludingIFRS16" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="AjustementsForInterestExcludingIFRS16_label_labelfr" xml:lang="fr">Intérêts financier hors IFRS 16 </link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AjustementsForInterestExcludingIFRS16" xlink:to="AjustementsForInterestExcludingIFRS16_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="IncreaseDecreaseThroughTransactionsWithNoncontrollingInterests" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_IncreaseDecreaseThroughTransactionsWithNoncontrollingInterests" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="IncreaseDecreaseThroughTransactionsWithNoncontrollingInterests_label_labelfr" xml:lang="fr">Opération avec les minoritaires</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseThroughTransactionsWithNoncontrollingInterests" xlink:to="IncreaseDecreaseThroughTransactionsWithNoncontrollingInterests_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="StatutoryRemunerationOfGeneralPartners" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_StatutoryRemunerationOfGeneralPartners" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="StatutoryRemunerationOfGeneralPartners_label_labelfr" xml:lang="fr">Rémunération statutaire des commandités</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StatutoryRemunerationOfGeneralPartners" xlink:to="StatutoryRemunerationOfGeneralPartners_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="OtherOperatingIncomeAndExpenses" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_OtherOperatingIncomeAndExpenses" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="OtherOperatingIncomeAndExpenses_label_labelfr" xml:lang="fr">Autres produits et charges d'exploitation</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherOperatingIncomeAndExpenses" xlink:to="OtherOperatingIncomeAndExpenses_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ChangeInInvestmentWorkingCapitalRequirement" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_ChangeInInvestmentWorkingCapitalRequirement" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ChangeInInvestmentWorkingCapitalRequirement_label_labelfr" xml:lang="fr">Variation du Besoin en Fonds de Roulement d'investissement</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangeInInvestmentWorkingCapitalRequirement" xlink:to="ChangeInInvestmentWorkingCapitalRequirement_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="DisclosureOfNetDistributionsToInvestorsExplanatory" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_DisclosureOfNetDistributionsToInvestorsExplanatory" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="DisclosureOfNetDistributionsToInvestorsExplanatory_label_labelfr" xml:lang="fr">DisclosureOfNetDistributionsToInvestorsExplanatory</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfNetDistributionsToInvestorsExplanatory" xlink:to="DisclosureOfNetDistributionsToInvestorsExplanatory_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="NetChangeInLoansAndAdvances" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_NetChangeInLoansAndAdvances" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="NetChangeInLoansAndAdvances_label_labelfr" xml:lang="fr">Variation nette des dettes financières</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetChangeInLoansAndAdvances" xlink:to="NetChangeInLoansAndAdvances_label_labelfr" xlink:type="arc" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="NetChangeInLoansAndAdvances_totalLabel_labelfr" xml:lang="fr">Variation nette des dettes financières</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetChangeInLoansAndAdvances" xlink:to="NetChangeInLoansAndAdvances_totalLabel_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="StatutoryRemunerationOfGeneralPartnersPaid" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_StatutoryRemunerationOfGeneralPartnersPaid" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="StatutoryRemunerationOfGeneralPartnersPaid_label_labelfr" xml:lang="fr">Paiement des rémunération statutaire des commandités</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StatutoryRemunerationOfGeneralPartnersPaid" xlink:to="StatutoryRemunerationOfGeneralPartnersPaid_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="InterestPaidOnFinancingActivitiesNonIfrs16" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_InterestPaidOnFinancingActivitiesNonIfrs16" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="InterestPaidOnFinancingActivitiesNonIfrs16_label_labelfr" xml:lang="fr">Intérêts financiers versés hors IFRS 16</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestPaidOnFinancingActivitiesNonIfrs16" xlink:to="InterestPaidOnFinancingActivitiesNonIfrs16_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="InterestsPaidOnLeaseAgreement" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_InterestsPaidOnLeaseAgreement" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="InterestsPaidOnLeaseAgreement_label_labelfr" xml:lang="fr">Intérêts versés sur les contrats de location</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestsPaidOnLeaseAgreement" xlink:to="InterestsPaidOnLeaseAgreement_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ProceedFromDisposalOfAssetsOtherThanThoseIntendedForLEasing" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_ProceedFromDisposalOfAssetsOtherThanThoseIntendedForLEasing" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ProceedFromDisposalOfAssetsOtherThanThoseIntendedForLEasing_label_labelfr" xml:lang="fr">Produit de cession des actifs autres que ceux destinés à la location</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedFromDisposalOfAssetsOtherThanThoseIntendedForLEasing" xlink:to="ProceedFromDisposalOfAssetsOtherThanThoseIntendedForLEasing_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="CashAdvancesAndLoansMadeRepaidToOtherPartiesClassifiedAsInvestingActivities" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_CashAdvancesAndLoansMadeRepaidToOtherPartiesClassifiedAsInvestingActivities" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="CashAdvancesAndLoansMadeRepaidToOtherPartiesClassifiedAsInvestingActivities_label_labelfr" xml:lang="fr">Variation nette des prêts et avances consentis</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAdvancesAndLoansMadeRepaidToOtherPartiesClassifiedAsInvestingActivities" xlink:to="CashAdvancesAndLoansMadeRepaidToOtherPartiesClassifiedAsInvestingActivities_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="DiminutionAugmentationDesCreancesImmobilisationsComptesRattaches" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_DiminutionAugmentationDesCreancesImmobilisationsComptesRattaches" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="DiminutionAugmentationDesCreancesImmobilisationsComptesRattaches_label_labelfr" xml:lang="fr">(Diminution) / Augmentation des créances / immobilisations &amp; comptes rattachés</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DiminutionAugmentationDesCreancesImmobilisationsComptesRattaches" xlink:to="DiminutionAugmentationDesCreancesImmobilisationsComptesRattaches_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="Subtotal" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_Subtotal" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="Subtotal_label_labelfr" xml:lang="fr">sous - total</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Subtotal" xlink:to="Subtotal_label_labelfr" xlink:type="arc" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="Subtotal_totalLabel_labelfr" xml:lang="fr">sous - total</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Subtotal" xlink:to="Subtotal_totalLabel_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense_label_labelfr" xml:lang="fr">Capacité d’autofinancement après coût de l’endettement financier net et impôt
</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense_label_labelfr" xlink:type="arc" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense_totalLabel_labelfr" xml:lang="fr">Capacité d’autofinancement après coût de l’endettement financier net et impôt
</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense_totalLabel_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="DescriptionOfAccountingPolicyForNoncurrentLiabilitiesExplanatory" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_DescriptionOfAccountingPolicyForNoncurrentLiabilitiesExplanatory" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="DescriptionOfAccountingPolicyForNoncurrentLiabilitiesExplanatory_label_labelfr" xml:lang="fr">DescriptionOfAccountingPolicyForNoncurrentLiabilitiesExplanatory</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfAccountingPolicyForNoncurrentLiabilitiesExplanatory" xlink:to="DescriptionOfAccountingPolicyForNoncurrentLiabilitiesExplanatory_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ProfitLossFromOrdinaryOperatingActivities" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_ProfitLossFromOrdinaryOperatingActivities" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ProfitLossFromOrdinaryOperatingActivities_label_labelfr" xml:lang="fr">RÉSULTAT OPÉRATIONNEL COURANT</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossFromOrdinaryOperatingActivities" xlink:to="ProfitLossFromOrdinaryOperatingActivities_label_labelfr" xlink:type="arc" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="ProfitLossFromOrdinaryOperatingActivities_totalLabel_labelfr" xml:lang="fr">RÉSULTAT OPÉRATIONNEL COURANT</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossFromOrdinaryOperatingActivities" xlink:to="ProfitLossFromOrdinaryOperatingActivities_totalLabel_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1_label_labelfr" xml:lang="fr">Variation du Besoin en Fonds de Roulement lié à l'activité hors variations de stock1</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1" xlink:to="ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1_label_labelfr" xlink:type="arc" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1_totalLabel_labelfr" xml:lang="fr">Variation du Besoin en Fonds de Roulement lié à l'activité hors variations de stock1</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1" xlink:to="ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1_totalLabel_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract_label_labelfr" xml:lang="fr">Variation Trésorerie et équivalents de trésorerie si différents de l’état de la situation financière Abstract</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract" xlink:to="ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="OperatingProvisionsReversalOfProvisions" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_OperatingProvisionsReversalOfProvisions" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="OperatingProvisionsReversalOfProvisions_label_labelfr" xml:lang="fr">Provisions d'exploitation</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OperatingProvisionsReversalOfProvisions" xlink:to="OperatingProvisionsReversalOfProvisions_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="CostOfDebt" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_CostOfDebt" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="CostOfDebt_label_labelfr" xml:lang="fr">Coût de l'endettement financier brut</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostOfDebt" xlink:to="CostOfDebt_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="CostOfNetDebt" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_CostOfNetDebt" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="CostOfNetDebt_label_labelfr" xml:lang="fr">Coût de l'endettement financier net</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostOfNetDebt" xlink:to="CostOfNetDebt_label_labelfr" xlink:type="arc" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="CostOfNetDebt_totalLabel_labelfr" xml:lang="fr">Coût de l'endettement financier net</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostOfNetDebt" xlink:to="CostOfNetDebt_totalLabel_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="NetDistributionsToInvestors" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_NetDistributionsToInvestors" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="NetDistributionsToInvestors_label_labelfr" xml:lang="fr">Distributions nettes aux investisseurs</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetDistributionsToInvestors" xlink:to="NetDistributionsToInvestors_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="NetImpactOfFinanceLeasingToClients" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_NetImpactOfFinanceLeasingToClients" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="NetImpactOfFinanceLeasingToClients_label_labelfr" xml:lang="fr">Impact net des locations financements accordées aux clients</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetImpactOfFinanceLeasingToClients" xlink:to="NetImpactOfFinanceLeasingToClients_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="AdjustmentForDepreciationAndProvisions" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_AdjustmentForDepreciationAndProvisions" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="AdjustmentForDepreciationAndProvisions_label_labelfr" xml:lang="fr">Amortissements et provisions</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentForDepreciationAndProvisions" xlink:to="AdjustmentForDepreciationAndProvisions_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="DisposalAcquisitionNetTreasuryShares" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_DisposalAcquisitionNetTreasuryShares" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="DisposalAcquisitionNetTreasuryShares_label_labelfr" xml:lang="fr">Cession (acq.) nette actions propres</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalAcquisitionNetTreasuryShares" xlink:to="DisposalAcquisitionNetTreasuryShares_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="RetainedEarningExcludingProfitLossForReportingPeriod" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_RetainedEarningExcludingProfitLossForReportingPeriod" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="RetainedEarningExcludingProfitLossForReportingPeriod_label_labelfr" xml:lang="fr">Réserves et primes</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RetainedEarningExcludingProfitLossForReportingPeriod" xlink:to="RetainedEarningExcludingProfitLossForReportingPeriod_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="DisclosureOfResultOfDiscontinuedActivities" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_DisclosureOfResultOfDiscontinuedActivities" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="DisclosureOfResultOfDiscontinuedActivities_label_labelfr" xml:lang="fr">RÉSULTAT DES ACTIVITÉS CÉDÉES</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfResultOfDiscontinuedActivities" xlink:to="DisclosureOfResultOfDiscontinuedActivities_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="Ebitda" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_Ebitda" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="Ebitda_label_labelfr" xml:lang="fr">EBITDA</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Ebitda" xlink:to="Ebitda_label_labelfr" xlink:type="arc" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="Ebitda_totalLabel_labelfr" xml:lang="fr">EBITDA</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Ebitda" xlink:to="Ebitda_totalLabel_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ReservesRetainedEarningsMember" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_ReservesRetainedEarningsMember" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ReservesRetainedEarningsMember_label_labelfr" xml:lang="fr">Reserves Consolidées [member]</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReservesRetainedEarningsMember" xlink:to="ReservesRetainedEarningsMember_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories_label_labelfr" xml:lang="fr">Variation du Besoin en Fonds de Roulement lié à l'activité hors variations de stock </link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories" xlink:to="ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="DiminutionAugmentationDesDettesImmobilisationsComptesRattaches" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_DiminutionAugmentationDesDettesImmobilisationsComptesRattaches" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="DiminutionAugmentationDesDettesImmobilisationsComptesRattaches_label_labelfr" xml:lang="fr">(Diminution) / Augmentation des dettes / immobilisations &amp; comptes rattachés</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DiminutionAugmentationDesDettesImmobilisationsComptesRattaches" xlink:to="DiminutionAugmentationDesDettesImmobilisationsComptesRattaches_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="InterestPaidOnLeaseContracts" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_InterestPaidOnLeaseContracts" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="InterestPaidOnLeaseContracts_label_labelfr" xml:lang="fr">Intérêts versés sur les contrats de location*</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestPaidOnLeaseContracts" xlink:to="InterestPaidOnLeaseContracts_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="OtherOperatingIncomeExpenseFromNonOrdinaryActivities" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_OtherOperatingIncomeExpenseFromNonOrdinaryActivities" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="OtherOperatingIncomeExpenseFromNonOrdinaryActivities_label_labelfr" xml:lang="fr">Autres produits et charges opérationnels</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherOperatingIncomeExpenseFromNonOrdinaryActivities" xlink:to="OtherOperatingIncomeExpenseFromNonOrdinaryActivities_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="AdjustmentsForProceedsFromSaleOfOwnedAssets" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_AdjustmentsForProceedsFromSaleOfOwnedAssets" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="AdjustmentsForProceedsFromSaleOfOwnedAssets_label_labelfr" xml:lang="fr">Produit de cession des actifs détenus en propre</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForProceedsFromSaleOfOwnedAssets" xlink:to="AdjustmentsForProceedsFromSaleOfOwnedAssets_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="SelffinancingCapacityBeforeCostOfNetFinancialDebtAndTax" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_SelffinancingCapacityBeforeCostOfNetFinancialDebtAndTax" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="SelffinancingCapacityBeforeCostOfNetFinancialDebtAndTax_totalLabel_labelfr" xml:lang="fr">Capacité d'autofinancement avant coût de l'endettement financier net &amp; impôt</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SelffinancingCapacityBeforeCostOfNetFinancialDebtAndTax" xlink:to="SelffinancingCapacityBeforeCostOfNetFinancialDebtAndTax_totalLabel_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="AugmentationDiminutionNetteDesCapitauxPropres" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_AugmentationDiminutionNetteDesCapitauxPropres" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="AugmentationDiminutionNetteDesCapitauxPropres_label_labelfr" xml:lang="fr">Augmentation/diminution nette des capitaux propres</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AugmentationDiminutionNetteDesCapitauxPropres" xlink:to="AugmentationDiminutionNetteDesCapitauxPropres_label_labelfr" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="PurchasesAndOtherExternalExpenses" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_PurchasesAndOtherExternalExpenses" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="PurchasesAndOtherExternalExpenses_label_labelfr" xml:lang="fr">Achats et autres charges externes</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchasesAndOtherExternalExpenses" xlink:to="PurchasesAndOtherExternalExpenses_label_labelfr" xlink:type="arc" />
  </link:labelLink>
</link:linkbase>